#include <iostream>

#include "Service.h"
#include "IService.h"
#include "ServiceProxy.h"

int main(){
	std::cout<<"main: START\n";

	IService*  service = new Service();
	IService* serviceProxy = new ServiceProxy();

	std::cout<<"calling service and proxy with an arg of 1\n";
	std::cout<<"service: " <<service->doIt(1);
	std::cout<<"proxy: " << serviceProxy->doIt(1)<<std::endl;


	std::cout<<"calling service and proxy with an arg of 2\n";
	std::cout<<"service: " <<service->doIt(2);
	std::cout<<"proxy: " << serviceProxy->doIt(2);



	std::cout<<"main: END\n";
	return 0;

}
